import * as i0 from "@angular/core";
export declare class TemplateService {
    templates: any[];
    unique_id: any;
    book: any;
    formElements: any[];
    constructor();
    getTemplates(): any[];
    initializeElementFromTemplate(templateElement: any, index: number): any;
    private initializeOptions;
    private initializeFieldsMeta;
    download(): any;
    private newBook;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TemplateService>;
}
